Bug 1005726 - [rhevm] Webadmin - SearchBox "xxx:page" doesn't work for any Tab
[rhevm] Webadmin - SearchBox "xxx:page" doesn't work for any Tab
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.5.0
Assigned To: Mooli Tayer
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 05:25 EDT by David Botzer
Modified: 2016-02-10 14:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-13 09:30:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
page (39.54 KB, image/png)
2013-09-09 05:25 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-09-09 05:25:23 EDT
Created attachment 795555 [details]
page

Description of problem:
[rhevm] Webadmin - SearchBox "xxx:page" doesn't work for any Tab

Version-Release number of selected component (if applicable):
3.3/is13
rhevm-3.3.0-0.19.master.el6ev.noarch
(Also for 3.2)

How reproducible:
always

Steps to Reproduce:
1.Select Any Tab in webadmin (from Datacenters up to Users)
2.Try to search/filter by The Tab ::page

Actual results:
This value doesn't work
This value doesn't give proper syntax completion
Pressing enter gives blank display

Expected results:
should display the requested page as follow
e.x Template:page 2
    Hosts:page 10
    VMs:page 100

allow syntax suggestion/error correction (red square) 

Additional info:
pic
Comment 1 David Botzer 2013-09-09 07:56:54 EDT
For example,
When I have more than 1 page for VMs and I type 
VMs:page 2 - it works

But if I type VMs:page 3 it will have blank display - it should remember last correct status

RFE -in a long shot - 
should autocomplete (enum) the known page numbers
Comment 2 Yair Zaslavsky 2013-10-07 11:40:05 EDT
Mooli,
Please consult with Eli about this.
Comment 5 Barak 2014-04-02 05:37:57 EDT
The bug is about the paging in the UI,
In addition to the above iddue I have noticed that once a new search is done when the UI is on page X, the search does not bring back the page to be the first.
Comment 6 Mooli Tayer 2014-05-13 09:30:54 EDT
Checked paging and it works.

In the attached screen shot the search done is 
Vms:page 
but it should contain a page number, like:
Vms:page 1

also
>But if I type VMs:page 3 it will have blank display - it should remember last correct status

If you type a page number > max available page you get an empty page,
as you should.

Note You need to log in before you can comment on or make changes to this bug.